Get Webhook
GET
/webhooks/:idRetrieve a single webhook by its ID.
Request
js
import Confetti from 'confetti'
const confetti = new Confetti({ apiKey: 'your-key' })
const webhook = await confetti.webhooks.find(1)sh
curl "https://api.confetti.events/webhooks/1" \
-H "Authorization: apikey your-key"Response
ts
interface Webhook {
id: number
type: string
url: string
provider: string
status: string
createdAt: Date
updatedAt: Date
}json
{
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z",
"id": "1"
}json
{
"data": {
"id": "1",
"type": "webhook",
"attributes": {
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z"
}
}
}